Page MenuHomePhabricator

ICONS: tap/active state remains after tapping button
Closed, ResolvedPublic2 Estimate Story Points

Description

Description

This is an iPhone-only issue. Sometimes the touch highlight lingers on certain elements. Examples:

  • When you tap on the search icon the highlight remains on the X. Then after tapping on the X the highlight remains on the search icon.
after tapping search, X has highlighthighlight remains when you type into search fieldafter tapping X, search has highlight
  • When you close an overlay (e.g. Talk) the highlight remains on the hamburger menu.

Acceptance criteria

  • Use ":active" not ":hover" for the gray background focus state.

Developer notes

The background is coming from mw-ui-icon:hover
When you click the search icon, the phone remembers the last place you touched and therefore hovered.
The new close icon is in that position, so the hover applies to the new icon.
We should be using the active state NOT hover.

mw-ui-icon-element:active { background-color: red; }
`

Details

Related Gerrit Patches:

Event Timeline

ovasileva triaged this task as Medium priority.Sep 17 2019, 8:20 AM
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Sep 17 2019, 3:29 PM

I don't know how to fix this. iOS seems to remember where you last clicked and focus any element in that area. Possibly a browser bug?

Jdlrobson removed Jdlrobson as the assignee of this task.Sep 19 2019, 7:57 PM
Jdlrobson updated the task description. (Show Details)Oct 8 2019, 7:24 PM

So I debugged this. @Jdrewniak was there any reason we used :hover rather than :active ?
If not, the solution is pretty clear.

ovasileva set the point value for this task to 2.Oct 9 2019, 4:14 PM

Change 548442 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Icon background should disappear on touch devices after click

https://gerrit.wikimedia.org/r/548442

Change 548442 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Icon background should disappear on touch devices after click

https://gerrit.wikimedia.org/r/548442

@Jdlrobson where can I test this?

alexhollender removed alexhollender as the assignee of this task.Dec 11 2019, 6:07 PM

Macro cathug: it's fixed

tap X on search overlayno lingering highlight on search icon
ovasileva closed this task as Resolved.Dec 12 2019, 2:44 PM
ovasileva claimed this task.

Yay! Resolving.